Bug 22716 - Use gender-neutral pronouns in system preference descriptions
Summary: Use gender-neutral pronouns in system preference descriptions
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on: 18432
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-16 16:33 UTC by Owen Leonard
Modified: 2019-05-10 21:05 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Bug 22716: Use gender-neutral pronouns in system preference descriptions (2.96 KB, patch)
2019-04-16 17:45 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22716: Use gender-neutral pronouns in system preference descriptions (3.02 KB, patch)
2019-04-16 21:09 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 22716: Use gender-neutral pronouns in system preference descriptions (3.08 KB, patch)
2019-04-16 21:42 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-04-16 16:33:21 UTC
In Bug 18432 we standardized on using gender-neutral "they/them" pronouns in Koha. We missed a couple of instances in system preference descriptions.
Comment 1 Owen Leonard 2019-04-16 17:45:34 UTC Comment hidden (obsolete)
Comment 2 ByWater Sandboxes 2019-04-16 21:09:54 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2019-04-16 21:42:18 UTC
Created attachment 88120 [details] [review]
Bug 22716: Use gender-neutral pronouns in system preference descriptions

This patch makes a few corrections to the .pref files which provide
descriptions for system preferences. Language like "him or her" is
replaced with "they/them" pronouns.

To test, apply the patch and check the following preferences:

 - OPACFineNoRenewalsBlockAutoRenew
 - ExpireReservesMaxPickUpDelayCharge
 - PatronSelfRegistrationVerifyByEmail

Signed-off-by: Lisette <lisettes@latahlibrary.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2019-04-17 12:30:22 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-04-26 12:00:26 UTC
Pushed to 18.11.x for 18.11.05
Comment 6 Lucas Gass 2019-05-10 21:05:43 UTC
backported to 18.05.x for 18.05.13